Bug 1169544 (CVE-2014-8114) - CVE-2014-8114 UberFire: Information disclosure and RCE via insecure file upload/download servlets
Summary: CVE-2014-8114 UberFire: Information disclosure and RCE via insecure file uplo...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8114
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1169556 1169557 1169558 1169559 1169560 1169561
Blocks: 1168481 1181883
TreeView+ depends on / blocked
 
Reported: 2014-12-02 00:59 UTC by Pavel Polischouk
Modified: 2019-09-29 13:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the default implementation of FileUploadServlet and FileDownloadServlet provided by the UberFire Framework did not restrict the paths to which a file could be written or read from. In applications using this framework and exposing these servlets, a remote attacker could gain access to information stored in files accessible to the application container process, or execute arbitrary code by uploading malicious content.
Clone Of:
Environment:
Last Closed: 2015-02-17 23:33:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0234 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.0.3 security update 2015-02-18 03:27:47 UTC
Red Hat Product Errata RHSA-2015:0235 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.0.3 security update 2015-02-18 03:27:36 UTC

Description Pavel Polischouk 2014-12-02 00:59:46 UTC
It was discovered that the default implementation of FileUploadServlet and FileDownloadServlet provided by the UberFire Framework did not restrict the paths to which a file could be written or read from. In applications using this framework and exposing these servlets, a remote attacker could gain access to information stored in files accessible to the application container process, or execute arbitrary code by uploading malicious content.

Comment 1 Pavel Polischouk 2014-12-02 01:57:53 UTC
Acknowledgements:

Red Hat would like to thank David Jorm for reporting this issue.

Comment 5 errata-xmlrpc 2015-02-17 22:31:20 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.0.3

Via RHSA-2015:0235 https://rhn.redhat.com/errata/RHSA-2015-0235.html

Comment 6 errata-xmlrpc 2015-02-17 22:36:19 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BPM Suite 6.0.3

Via RHSA-2015:0234 https://rhn.redhat.com/errata/RHSA-2015-0234.html


Note You need to log in before you can comment on or make changes to this bug.